jQuery.fn.keys = function(options) {
  // Innere Funktion
  function keyGenerator() {
    var key = ["C", "C#", "D", "D#", "E", "F", "F#", "G", "G#", "A", "B", "H"];
    var index = Math.floor(Math.random() * key.length);
    return key[index];
  }

  var defaultvalues = jQuery.extend({
    border : "1px outset",
    width : "150px",
    opacity : 0.5,
    height : "60px",
    fontSize : "42px",
    textAlign : "center",
    paddingTop : "5px",
    background : "black",
    color : "white"
  }, options);
  return this.each(function() {
    $(this).css({
      border : defaultvalues.border,
      width : defaultvalues.width,
      height : defaultvalues.height,
      opacity : defaultvalues.opacity,
      fontSize : defaultvalues.fontSize,
      textAlign : defaultvalues.textAlign,
      paddingTop : defaultvalues.paddingTop,
      background : defaultvalues.background,
      color : defaultvalues.color
    });
    $(this).html(keyGenerator());
  });
};
